%define backend printer-drivers
%define _altdata_dir %_datadir/alterator

Name: alterator-printers
Version: 3.3
Release: alt2.2

Source:%name-%version.tar.bz2

Summary: simple alterator module for printer administration
License: GPL
Group: System/Configuration/Other
BuildArch: noarch

#TODO: will be installed only if needed
Requires: cups, samba-client-cups,printer-testpages, printer-drivers-base, printer-drivers-utils

Requires: alterator >= 1.99-alt41, consolehelper
Requires: alterator-backend-%backend,alterator-backend-cups

# Automatically added by buildreq on Mon Jul 11 2005
BuildRequires: alterator libpam-devel

%description
simple alterator module for printer administration

%package -n alterator-backend-%backend
Summary: alterator backend for printer drivers maintainance
Group: Publishing
Requires: printer-drivers-utils
Conflicts: printer-drivers-utils <= 2.1-alt4

%description -n alterator-backend-%backend
alterator backend for printer drivers maintainance

%prep
%setup -q

%install
%makeinstall DESTDIR=%buildroot
%find_lang %name

%__install -Dpm644 %name.menu %buildroot/%_menudir/%name

#install consolehelper
obj=config-printers
%__install -d %buildroot/%_bindir
%__ln_s %_libdir/helper/consolehelper %buildroot%_bindir/$obj
%__install -d %buildroot%_sysconfdir/pam.d/

cat>%buildroot%_sysconfdir/pam.d/$obj<<EOF
#%PAM-1.0
auth	sufficient	pam_rootok.so
auth	required	pam_stack.so service=system-auth
account	required	pam_permit.so
password	required	pam_deny.so
session	optional	pam_xauth.so
EOF

%__install -d %buildroot%_sysconfdir/security/console.apps/
cat>%buildroot%_sysconfdir/security/console.apps/$obj<<EOF
USER=root
PROGRAM=%_sbindir/$obj
SESSION=true
FALLBACK=true
EOF


%post
%update_menus
%postun
%clean_menus


%files -f %name.lang
%config(noreplace) %_sysconfdir/pam.d/*
%config(noreplace) %_sysconfdir/security/console.apps/*
%_sbindir/*
%_bindir/*
%_altdata_dir/maps/*
%_altdata_dir/help/*/*
%_altdata_dir/ui/*/
%_alterator_modeldir/*
%_menudir/*
%_iconsdir/*.png
%_miconsdir/*.png
%_liconsdir/*.png


%files -n alterator-backend-%backend
%_alterator_backenddir/*
%_alterator_backend2dir/*


%changelog
* Wed Oct 19 2005 Stanislav Ievlev <inger@altlinux.org> 3.3-alt2.2
- added icons

* Wed Oct 05 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3-alt2.1
- fix widgets layout

* Wed Aug 31 2005 Stanislav Ievlev <inger@altlinux.org> 3.3-alt2
- use generic make templates

* Tue Aug 30 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3-alt1.1
- fix widgets layout

* Wed Aug 24 2005 Stanislav Ievlev <inger@altlinux.org> 3.3-alt1
- added splash message during driver generation

* Mon Aug 08 2005 Stanislav Ievlev <inger@altlinux.org> 3.2-alt2
- fixed bug

* Fri Aug 05 2005 Stanislav Ievlev <inger@altlinux.org> 3.2-alt1
- update model for new alterator

* Mon Aug 01 2005 Stanislav Ievlev <inger@altlinux.org> 3.1-alt5
- Belarusian translation

* Thu Jul 21 2005 Stanislav Ievlev <inger@altlinux.org> 3.1-alt4
- fixed menu file

* Wed Jul 20 2005 Stanislav Ievlev <inger@altlinux.org> 3.1-alt3
- updates

* Thu Jul 14 2005 Stanislav Ievlev <inger@altlinux.org> 3.1-alt2
- interface improvements
- printers-config renamed to config-printers

* Wed Jul 06 2005 Stanislav Ievlev <inger@altlinux.org> 3.1-alt1
- map adopted to new config style
- use ready-to-use alterator-standalone frame
- printers-config now in /sbin

* Wed Jul 06 2005 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt1
- update map

* Mon Jun 27 2005 Stanislav Ievlev <inger@altlinux.org> 3.0-alt7
- minor fixes

* Thu Jun 23 2005 Stanislav Ievlev <inger@altlinux.org> 3.0-alt6
- updated po by kirill

* Tue Jun 21 2005 Stanislav Ievlev <inger@altlinux.org> 3.0-alt5
- use external error messages

* Mon Jun 20 2005 Stanislav Ievlev <inger@altlinux.org> 3.0-alt4
- added menu file

* Thu Jun 16 2005 Stanislav Ievlev <inger@altlinux.org> 3.0-alt3
- adopted for new look

* Tue Jun 14 2005 Stanislav Ievlev <inger@altlinux.org> 3.0-alt2
- adopted for new look

* Thu Jun 09 2005 Stanislav Ievlev <inger@altlinux.org> 3.0-alt1
- added standalone version

* Tue Jun 07 2005 Stanislav Ievlev <inger@altlinux.org> 2.4-alt1
- improvements

* Mon Jun 06 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt11
- new scheme of uris

* Tue May 31 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt10
- new snapshot

* Fri May 27 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt9
- new snapshot

* Wed May 04 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt8
- new snapshot

* Wed Apr 27 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt7
- new snapshot

* Mon Apr 25 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt6
- improved files layout

* Fri Apr 22 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt5
- little layout improvements
- added support for ALT control center

* Thu Apr 21 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt4
- changed backend format

* Wed Apr 13 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt3
- bugfixes

* Tue Apr 12 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt2
- little improvements

* Mon Apr 04 2005 Stanislav Ievlev <inger@altlinux.org> 2.2-alt1
- move ui and model tarballs here

* Mon Mar 21 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial release
